Loading...
Searching...
No Matches
ada_idna.h File Reference
`#include <string>`
`#include <string_view>`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::idna

## Macros

#define | ADA_IDNA_UNICODE_TRANSCODING_H
#define | ADA_IDNA_MAPPING_H
#define | ADA_IDNA_NORMALIZATION_H
#define | ADA_IDNA_PUNYCODE_H
#define | ADA_IDNA_VALIDITY_H
#define | ADA_IDNA_TO_ASCII_H
#define | ADA_IDNA_TO_UNICODE_H
#define | ADA_IDNA_IDENTIFIER_H

## Functions

size_t | ada::idna::utf8_to_utf32 (const char *buf, size_t len, char32_t *utf32_output)
size_t | ada::idna::utf8_length_from_utf32 (const char32_t *buf, size_t len)
size_t | ada::idna::utf32_length_from_utf8 (const char *buf, size_t len)
size_t | ada::idna::utf32_to_utf8 (const char32_t *buf, size_t len, char *utf8_output)
void | ada::idna::ascii_map (char *input, size_t length)
std::u32string | ada::idna::map (std::u32string_view input)
void | ada::idna::normalize (std::u32string &input)
bool | ada::idna::punycode_to_utf32 (std::string_view input, std::u32string &out)
bool | ada::idna::verify_punycode (std::string_view input)
bool | ada::idna::utf32_to_punycode (std::u32string_view input, std::string &out)
bool | ada::idna::is_label_valid (std::u32string_view label)
std::string | ada::idna::to_ascii (std::string_view ut8_string)
bool | ada::idna::contains_forbidden_domain_code_point (std::string_view ascii_string)
bool constexpr | ada::idna::is_ascii (std::u32string_view view)
bool constexpr | ada::idna::is_ascii (std::string_view view)
std::string | ada::idna::to_unicode (std::string_view input)
bool | ada::idna::valid_name_code_point (char32_t code_point, bool first)

## Macro Definition Documentation

## ADA_IDNA_IDENTIFIER_H

#define ADA_IDNA_IDENTIFIER_H

Definition at line 144 of file ada_idna.h.

## ADA_IDNA_MAPPING_H

#define ADA_IDNA_MAPPING_H

Definition at line 29 of file ada_idna.h.

## ADA_IDNA_NORMALIZATION_H

#define ADA_IDNA_NORMALIZATION_H

Definition at line 47 of file ada_idna.h.

## ADA_IDNA_PUNYCODE_H

#define ADA_IDNA_PUNYCODE_H

Definition at line 62 of file ada_idna.h.

## ADA_IDNA_TO_ASCII_H

#define ADA_IDNA_TO_ASCII_H

Definition at line 97 of file ada_idna.h.

## ADA_IDNA_TO_UNICODE_H

#define ADA_IDNA_TO_UNICODE_H

Definition at line 130 of file ada_idna.h.

## ADA_IDNA_UNICODE_TRANSCODING_H

#define ADA_IDNA_UNICODE_TRANSCODING_H

Definition at line 8 of file ada_idna.h.

## ADA_IDNA_VALIDITY_H

#define ADA_IDNA_VALIDITY_H

Definition at line 79 of file ada_idna.h.